summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2003-07-08 00:43:28 +0000
committerMike Frysinger <vapier@gentoo.org>2003-07-08 00:43:28 +0000
commit05c6ad65b58270e6481a5267831fa7e230ee604e (patch)
tree835cebc0cd6272f1c96d7511008a7dd6e706d359 /eclass
parentversion bump (diff)
downloadgentoo-2-05c6ad65b58270e6481a5267831fa7e230ee604e.tar.gz
gentoo-2-05c6ad65b58270e6481a5267831fa7e230ee604e.tar.bz2
gentoo-2-05c6ad65b58270e6481a5267831fa7e230ee604e.zip
add src_compile
Diffstat (limited to 'eclass')
-rw-r--r--eclass/games.eclass9
1 files changed, 7 insertions, 2 deletions
diff --git a/eclass/games.eclass b/eclass/games.eclass
index 4a8b022354ee..588357ef7fc6 100644
--- a/eclass/games.eclass
+++ b/eclass/games.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.34 2003/07/02 12:38:38 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.35 2003/07/08 00:43:28 vapier Exp $
#
# devlist: {bass,phoenix,vapier}@gentoo.org
#
@@ -13,7 +13,7 @@ inherit eutils
ECLASS=games
INHERITED="$INHERITED $ECLASS"
-EXPORT_FUNCTIONS pkg_postinst pkg_setup
+EXPORT_FUNCTIONS pkg_postinst src_compile pkg_setup
DESCRIPTION="Based on the ${ECLASS} eclass"
IUSE="dedicated"
@@ -104,6 +104,11 @@ games_pkg_setup() {
return 0
}
+games_src_compile() {
+ egamesconf || die "egamesconf failed"
+ emake || die "emake failed"
+}
+
# pkg_postinst function ... create env.d entry and warn about games group
games_pkg_postinst() {
gamesenv